Name:		neverball
Summary:	NeverBall arcade game
Version: 	1.6.0
Release: 	%mkrel 2
Url:		http://icculus.org/neverball/
Source0:	http://icculus.org/neverball/%{name}-%{version}.tar.xz
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	neverputt-48.png
Source5:	neverputt-32.png
Source6:	neverputt-16.png
Group:		Games/Arcade
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}physfs-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}sdl2_ttf-devel
BuildRequires: %{_lib}vorbis0-devel
Obsoletes:	neverputt < %version
Provides:	neverputt = %version-%release
Requires:	%{_lib}physfs2

%description
Tilt the floor to roll the ball through the obstacle course
before time runs out.
This package inclutes neverputt, a golf game based on neverball.
Hardware accellerated OpenGL support with multitexture
(OpenGL 1.2.1 or greater) is required.

%prep
%setup -q

sed -i "/Version/d" dist/%{name}.desktop.in
sed -i "/Version/d" dist/neverputt.desktop.in


%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl2-config --cflags`" ENABLE_NLS=1 DATADIR=%_gamesdatadir/%name/data

%install
rm -rf $RPM_BUILD_ROOT

function install_binary() {
	binary=$1
	install -m755 $binary -D $RPM_BUILD_ROOT%{_gamesbindir}/$binary.bin

	cat > $RPM_BUILD_ROOT%{_gamesbindir}/$binary << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/$binary.bin
EOF

	chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/$binary
}

install_binary %{name}
install_binary neverputt

mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
rm -fr data/map-*/*.map
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/neverputt.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_iconsdir}/neverputt.png
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_miconsdir}/neverputt.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Neverball
Comment=Tilt the floor to roll the ball
Exec=%{_gamesbindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-neverputt.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Neverputt
Comment=Golf game based on neverball
Exec=%{_gamesbindir}/neverputt %U
Icon=neverputt
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%doc
%attr(755,root,root) %{_gamesbindir}/%{name}*
%attr(755,root,root) %{_gamesbindir}/neverputt*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/pclinuxos*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/neverputt.png
%{_iconsdir}/neverputt.png
%{_miconsdir}/neverputt.png

%changelog
* Wed Aug 06 2014 bb <bb> 1.6.0-2pclos2014
- build against physfs2

* Tue Aug 05 2014 bb <bb> 1.6.0-1pclos2014
- update

